
import 'dart:async';

import 'package:flutter/services.dart';

class XicooFlutterPlugin {
  static const MethodChannel _channel = MethodChannel('xicoo_flutter_plugin');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?> get getStartParam async {
    final String? startParam = await _channel.invokeMethod('getStartParam');
    return startParam;
  }

  static Future<bool?> get startMark async {
    await _channel.invokeMethod('startMark');
    return true;
  }

  static Future<bool?> get exitApp async {
    await _channel.invokeMethod('exit');
    return true;
  }

  static Future<String?> get getXicooRoot async {
    final String? root = await _channel.invokeMethod('getXicooFileRoot');
    return root;
  }
}
